.package-protection {
	display: flex;
	flex-direction: column;
	gap: 16px;
}

.package-protection h3 {
	display: flex;
	align-items: center;
	gap: 8px;
	font-weight: 500;
	color: #33A0FF;
}

.package-protection-content {
	display: flex;
	flex-direction: column;
	gap: 4px;
	padding: 24px;
	border-radius: 4px;
	border-width: 1px;
	border-style: solid;
	border-color: #33A0FF;
	background-color: #F4FAFF;
}

.package-protection-content-head {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.package-protection-content-head h4 {
	font-weight: 500;
}

.package-protection-content p {
	font-size: 14px;
	text-wrap: balance;
	color: #727272;
}

.package-protection-content-checkbox {
	display: flex;
	align-items: center;
	gap: 8px;
}

.package-protection-content-checkbox span {
	font-size: 14px;
	font-weight: 500;
}

.package-protection-content-checkbox label {
	position: relative;
	width: 30px;
	height: 18px;
	border-radius: 9px;
	background-color: #999999;
	cursor: pointer;
	transition: .3s;
}

.package-protection-content-checkbox label::after {
	content: '';
	position: absolute;
	top: 4px;
	left: 4px;
	width: 10px;
	height: 10px;
	border-radius: 5px;
	background-color: #FFF;
	transition: .3s;
}

.package-protection-content-checkbox label:has(:checked) {
	background-color: #33A0FF;
}

.package-protection-content-checkbox label:has(:checked)::after {
	left: 16px;
}

.package-protection-content-checkbox label input {
	display: none;
}

/* Loading state styles */
.package-protection-loading {
	opacity: 0.6;
	pointer-events: none;
}